Skip to main content
GET
/
api
/
platform
/
ecosystems
List ecosystems
curl --request GET \
  --url https://api-next.dealroom.co/api/platform/ecosystems \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "long_description": "<string>",
      "filter": "<string>",
      "jobs_filter": "<string>",
      "region": "<string>",
      "image_url": "<string>",
      "geojson_url": "<string>",
      "partner_logos": [
        {
          "name": "<string>",
          "url": "<string>",
          "image_url": "<string>"
        }
      ],
      "primary_color": "<string>",
      "surface_color": "<string>",
      "brand_surface_color": "<string>",
      "anonymous_access": true,
      "currency": "EUR",
      "ga_measurement_id": "G-KQFB2GR3HN",
      "tabs_config": {},
      "is_active": true,
      "sort_order": 123
    }
  ],
  "page": {
    "limit": 123,
    "offset": 123,
    "next_cursor": "<string>",
    "prev_cursor": "<string>",
    "total": 123,
    "capped": true,
    "ecosystem": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Query Parameters

limit
integer<int32>
default:25

Number of results to return (1-2000, default 25)

Required range: 1 <= x <= 2000
Example:

25

offset
integer<int32>
default:0

Number of results to skip before returning data. Combine with limit for offset-based pagination.

Required range: x >= 0
Example:

0

Response

List of active ecosystems

data
object[]
required
page
object
required